export default () => {
  const env = {}

  // let BASE_URL = BASE_URL_ENV
  // BASE_URL_ENV 是 webpack.base.conf.js 用 webpack.DefinePlugin 定义的全局变量，如下
  // new webpack.DefinePlugin({
  //   'BASE_URL_ENV': JSON.stringify(BASE_URL)
  // })
  // 但这个全局变量并不挂在window下，所以即便加了window.BASE_URL_ENV eslint也会报错
  // 使用 eslint-disable 排除

  switch (process.env.NODE_ENV) {
    case 'development': // 开发测试
      env.baseUrl = '/api/'
      env.uploadUrl = 'https://pwxdev.cleartv.cn/upload'
      break

    default:
      env.baseUrl = window.config.baseUrl
      env.uploadUrl = window.config.uploadUrl
      break
  }

  return env
}
